<h1 align="center"><a href="https://github.com/sumbytes168/hello-blog" target="_blank">helloblog</a></h1>

> [Hello Blog](http://helloblog.sumbytes.com/) 是一个前后端分离的博客系统，为了解除开发人员对后端的束缚，真正做到的一个面向接口开发的博客系统。

<p align="center">
<a href="#"><img alt="JDK" src="https://img.shields.io/badge/JDK-1.8-yellow.svg?style=flat-square"/></a>
<a href="#"><img alt="GitHub release" src="https://img.shields.io/github/release/halo-dev/halo.svg?style=flat-square"/></a>
<a href="#"><img alt="GitHub All Releases" src="https://img.shields.io/github/downloads/halo-dev/halo/total.svg?style=flat-square"></a>
<a href="#"><img alt="Docker pulls" src="https://img.shields.io/docker/pulls/ruibaby/halo?style=flat-square"></a>
</p>

------------------------------

## 简介

**hello** [hello]，意为你好(强行科普)。。

> 基于[SpringBoot](https://spring.io/projects/spring-boot/)实现零配置让系统的配置更简单，使用了[Mybatis-Plus](https://mp.baomidou.com/)快速开发框架，在不是复杂的查询操作下，无需写sql就可以快速完成接口编写。
> 后台管理系统使用了vue中流行的[ant](https://panjiachen.github.io/vue-element-admin-site/#/)，另外前后交互使用了[JWT](https://jwt.io/)作为令牌，进行权限、登录校验。。


> [官网](http://helloblog.sumbytes.com/) | [社区](https://sumbytes.com) | [QQ 交流群](https://shang.qq.com/wpa/qunwpa?idkey=4f8653da80e632ef86ca1d57ccf8751602940d1036c79b04a3a5bc668adf8864) | 

## 声明

> 本项目，主要宗旨在于，简单、易用、不烧脑的博客，并且基于helloblog，搭建一个属于博主们的博客圈

## 使用须知

>  由于项目是前后端完全分离，所以此项目为单独的后端项目，后台管理系统、博客主题可以进行自由搭配
>
>> 后端API <https://github.com/sumbytes168/hello-blog><br>
>> 后端管理系统 <https://github.com/sumbytes168/hello-blog-admin><br>
>> 前端主题地址：<https://github.com/sumbytes168/theme-react-sakura/><br>

## 快速开始

### 下载最新的 helloblog 安装包

window

```bash
https://github.com/sumbytes168/hello-blog/releases/download/v1.1.0/helloblog-v1.1.0.jar
```

linux

```bash
wget https://github.com/sumbytes168/hello-blog/releases/download/v1.1.0/helloblog-v1.1.0.jar
```

### 启动 helloblog 

```bash
java -jar helloblog-v1.1.0.jar --MYSQL_USERNAME=root  --MYSQL_PASSWORD=password  --MYSQL_DATABASE=jdbc:mysql://127.0.0.1:3306/helloblog?useSSL=false&characterEncoding=utf8 
```

详细文档请移步：<http://helloblog.sumbytes.com/docs/>

## 博客示例
- 前端： <https://preview.sumbytes.com/>。
- 管理系统： <https://preview.sumbytes.com/admin>。

## 生态圈
- 后端代码（hello-blog）：<https://github.com/sumbytes168/hello-blog>
- 后端代码（helloblog-admin）：<https://github.com/sumbytes168/hello-blog-admin>
- 主题仓库：<https://github.com/sumbytes168/theme-react-sakura/>

## 使用helloblog的优秀博主

- 青涩知夏：<https://www.nosum.cn/>
- 踏歌长行：<https://www.bygit.cn/>

## 捐赠

> 如果 helloblog 对你有帮助，可以请作者喝杯☕️。

| 支付宝  | 微信 |
| :------------: |  :------------: |
| <img src="http://image.sumbytes.com/FvM2HsxIesxN41bPJCtRpUi8LQgA" width="200"/>  |  <img src="http://image.sumbytes.com/Fn33krSt1uIm4sgqBE67fkZL2-__" width="200"/>

## 预览图

<img src="https://cos.nosum.cn/preview/helloblog-theme/helloblog-theme3-perview%20%281%29.jpg" width="600"/>

<img src="https://cos.nosum.cn/preview/helloblog-theme/helloblog-theme3-perview%20%282%29.jpg" width="600"/>

<img src="https://cos.nosum.cn/preview/helloblog-theme/helloblog-theme3-perview%20%283%29.jpg" width="600"/>

<img src="https://cos.nosum.cn/preview/helloblog-theme/helloblog-theme3-perview%20%284%29.jpg" width="600"/>

<img src="https://cos.nosum.cn/preview/helloblog-theme/helloblog-theme3-perview%20%285%29.jpg" width="600"/>

<img src="https://cos.nosum.cn/preview/helloblog-theme/helloblog-theme3-perview%20%286%29.jpg" width="600"/>

<img src="https://cos.nosum.cn/preview/helloblog-theme/helloblog-theme3-perview%20%287%29.jpg" width="600"/>

<img src="https://cos.nosum.cn/preview/helloblog-admin/helloblog-admin-preview%20%282%29.png" width="600"/>


<img src="https://cos.nosum.cn/preview/helloblog-admin/helloblog-admin-preview%20%283%29.png" width="600"/>

<img src="https://cos.nosum.cn/preview/helloblog-admin/helloblog-admin-preview%20%284%29.png" width="600"/>

<img src="https://cos.nosum.cn/preview/helloblog-admin/helloblog-admin-preview%20%285%29.png" width="600"/>

<img src="https://cos.nosum.cn/preview/helloblog-admin/helloblog-admin-preview%20%286%29.png" width="600"/>

<img src="https://cos.nosum.cn/preview/helloblog-admin/helloblog-admin-preview%20%287%29.png" width="600"/>